--- old/usr/src/lib/libsysdemangle/Makefile.com	Tue Feb 27 22:58:08 2018
+++ new/usr/src/lib/libsysdemangle/Makefile.com	Tue Feb 27 22:58:08 2018
@@ -1,31 +1,22 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2017 Jason King.
+# Copyright (c) 2017, Joyent, Inc.  All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-#
-#
 
 LIBRARY = libsysdemangle.a
 VERS    = .1
-OBJECTS = str.o util.o cpp_util.o cpp.o sysdemangle.o
+OBJECTS = str.o util.o cxx_util.o cxx.o sysdemangle.o
 
 include ../../Makefile.lib
 
@@ -38,8 +29,6 @@
 C99MODE =	$(C99_ENABLE)
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT -D__EXTENSIONS__
-CERRWARN +=	-_gcc=-Wno-address
-CERRWARN +=	-_gcc=-Wno-clobbered
 
 .KEEP_STATE:
 
